# AuthMethod (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.method
Interface AuthMethod

All Superinterfaces:
  SSHPacketHandler

All Known Implementing Classes:
  AbstractAuthMethod, AuthHostbased, AuthKeyboardInteractive, AuthNone, AuthPassword, AuthPublickey, KeyedAuthMethod

    public interface AuthMethod

extends SSHPacketHandler

An authentication method of the SSH Authentication Protocol.

Method Summary
`String` `getName()`
`void` `init(AuthParams params)` This method must be called before requesting authentication with this method.
`void` `request()`
`boolean` `shouldRetry()`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Method Detail

### getName

    String getName()

  Returns:
    assigned name of this authentication method

### init

    void init(AuthParams params)

  This method must be called before requesting authentication with this method.

  Parameters:
    `params` - parameters needed for authentication

### request

    void request()
                 throws UserAuthException,
                        TransportException

  Throws:
    `UserAuthException` - if there is an error with the request
    `TransportException` - if there is a transport-related error

### shouldRetry

    boolean shouldRetry()

  Returns:
    whether authentication should be reattempted if it failed.

Copyright © 2009-2011. All Rights Reserved.